Package tigase.server.xmppserver.proc

## Class StreamOpen

- java.lang.Object
- - tigase.server.xmppserver.proc.S2SAbstract
  - - tigase.server.xmppserver.proc.S2SAbstractProcessor
    - - tigase.server.xmppserver.proc.StreamOpen

- All Implemented Interfaces:
    `java.lang.Comparable<S2SProcessor>`, `S2SProcessor`, `StatisticsProviderIfc`

      @Bean(name="streamOpen",
            parent=S2SConnectionManager.class,
            active=true)
      public class StreamOpen
      extends S2SAbstractProcessor

  Created: Dec 9, 2010 1:59:56 PM
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `S2SAbstractProcessor.Order`

  - ### Field Summary

    - ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `processorsComparator`

    - ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstract

      `DB_RESULT_EL_NAME, DB_VERIFY_EL_NAME, DIALBACK_EL, DIALBACK_NS, FEATURES_DIALBACK_PATH, FEATURES_EL, FEATURES_NS, FEATURES_STARTTLS_PATH, FORCE_VERSION, handler, PROCEED_TLS_EL, RESULT_EL_NAME, START_TLS_EL, START_TLS_NS, STREAM_FEATURES_EL, VERIFY_EL_NAME, VERSION_ATT_NAME, XMLNS_CLIENT_VAL, XMLNS_DB_ATT, XMLNS_DB_VAL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamOpen()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `order()` | Returns order of processor which is used to set order in which processors will be processing packet
    `void` | `serviceStarted​(S2SIOService serv)` |
    `void` | `serviceStopped​(S2SIOService serv)` |
    `java.lang.String` | `streamOpened​(S2SIOService serv, java.util.Map<java.lang.String,​java.lang.String> attribs)` |

    - ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `compareTo, getStatistics, process, setSkipTlsHosts, skipTLSForHost, streamClosed, streamFeatures`

    - ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstract

      `generateStreamError, generateStreamError, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.server.xmppserver.S2SProcessor

      `init, stopProcessing`

- - ### Constructor Detail

    - #### StreamOpen

          public StreamOpen()

  - ### Method Detail

    - #### order

          public int order()

      Description copied from interface: `S2SProcessor`
      Returns order of processor which is used to set order in which processors will be processing packet

    - #### serviceStarted

          public void serviceStarted​(S2SIOService serv)

      Specified by:
        `serviceStarted` in interface `S2SProcessor`
      Overrides:
        `serviceStarted` in class `S2SAbstractProcessor`

    - #### serviceStopped

          public void serviceStopped​(S2SIOService serv)

      Specified by:
        `serviceStopped` in interface `S2SProcessor`
      Overrides:
        `serviceStopped` in class `S2SAbstractProcessor`

    - #### streamOpened

          public java.lang.String streamOpened​(S2SIOService serv,
                                               java.util.Map<java.lang.String,​java.lang.String> attribs)

      Specified by:
        `streamOpened` in interface `S2SProcessor`
      Overrides:
        `streamOpened` in class `S2SAbstractProcessor`